Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153976 - Update: gtk-qt-engine-0.60
Summary: Update: gtk-qt-engine-0.60
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk-qt-engine
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE4Target
TreeView+ depends on / blocked
 
Reported: 2005-04-06 11:36 UTC by Mary Ellen Foster
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-05 16:29:20 UTC


Attachments (Terms of Use)
Proposed patch to the spec file (deleted)
2005-04-06 11:53 UTC, Mary Ellen Foster
no flags Details | Diff

Description Mary Ellen Foster 2005-04-06 11:36:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
The most recent version of gtk-qt-engine is 0.6. This contains bug fixes for several GTK apps that had various problems in previous versions. Here are the ones I know about:

Eclipse: would crash frequently using versions < 0.6
Firefox: menus looked like ABSOLUTE PANTS below 0.5

Also, there are many other enhancements in the recent versions, including the ability to update dynamically as you change your QT settings.

I uninstalled the Extras RPM and manually installed the 0.6 tarball from freedesktop.org, and both of the above apps now look beautiful. It would be nice if the version in Extras were upgraded.

URL: http://www.freedesktop.org/Software/gtk-qt

Version-Release number of selected component (if applicable):
gtk-qt-engine-0.41-5

How reproducible:
Always

Steps to Reproduce:
1. Install gtk-qt-engine from Extras development
2. Run firefox
3. Vomit
4. Run eclipse, click on a few things
5. Watch it crash

Additional info:

My machine is running FC4T1, fully updated against Rawhide. My desktop is KDE, using the "Plastik" widget set.

Comment 1 Mary Ellen Foster 2005-04-06 11:53:44 UTC
Created attachment 112753 [details]
Proposed patch to the spec file

Here's a proposed patch to bring the spec file up to 0.6. Note that I'm not
using my Fedora machine at the moment, so I can't actually test the resulting
RPM out, but with this patch rpmbuild -ba completes cleanly and creates
something that looks like it makes sense.

I'm also not on an x86_64 machine, so I can't test that part of the SRPM out,
but the patch from the old SRPM still applies cleanly so hopefully the change
it makes remains valid.

Comment 2 Michael Schwendt 2005-04-06 11:59:03 UTC
While Rex seems to be still waiting for CVS access, could you please look
whether the following symptoms are still reproducible?
https://bugzilla.fedora.us/show_bug.cgi?id=2035#c3

Comment 3 Mary Ellen Foster 2005-04-07 23:07:29 UTC
The problems mentioned in the fedora.us bug report seem to be solved in 0.6; the
font setting was correct for a new user, and there don't seem to be any
artifacts on scrollbars or anything.

Note that the patch I sent before won't quite work properly -- it successfully
creates an RPM that installs and works, but RPM still considers the version in
Extras newer because in RPM world, 0.6 < 0.41. Whatever. I guess the version in
the RPM has to be 0.60 or something weird like that ...

Comment 4 Rex Dieter 2005-04-08 11:35:22 UTC
See URL below for updated package to try out (at least until I get cvs access to
produce a proper update)

CHANGELOG:
* Wed Apr 06 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.60-1
- cleanup for Extras

* Thu Jan 20 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.60-0.fdr.1
- 0.6

* Tue Aug 31 2004 Rex Dieter <rexdieter at sf.net> 0.50-0.fdr.1
- 0.5, using Virtual version 0.50 to make sure rpm treats it
  as newer than 0.41


Comment 5 Rex Dieter 2005-08-05 16:29:20 UTC
gtk-qt-engine-0.60 has been built and should appear in extras soon (fc3,fc4,devel)


Note You need to log in before you can comment on or make changes to this bug.